Memos
Memo Service

Upsert Memo Reaction

UpsertMemoReaction upserts a reaction for a memo.

POST
/api/v1/memos/{memo}/reactions

Path Parameters

memo*string

The memo id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/memos/string/reactions" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "reaction": {      "contentId": "string",      "reactionType": "string"    }  }'
{
  "name": "string",
  "creator": "string",
  "contentId": "string",
  "reactionType": "string",
  "createTime": "2019-08-24T14:15:22Z"
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings